Subject: Re: [2.6 patch] the overdue eepro100 removal

From: "Kok, Auke" <[email-masked]>
Date: Mon, 02 Jul 2007 14:45:54 -0700

Bill Davidsen wrote:
> Adrian Bunk wrote:
>> This patch contains the overdue removal of the eepro100 driver.
>>
>> Signed-off-by: Adrian Bunk <[email-masked]>
>>
> The hardware supported by this driver is still in use, thanks. It's 
> probably easier to leave the eepro100 driver in than find anyone who 
> wants to investigate why the other driver (e100? from memory) doesn't 
> work with some cards. As I recall this was suggested over a year ago and 
> it was decided to leave it in, all of the reasons for doing so still 
> seem valid. There really doesn't seem to be a benefit, it's not like 
> people are working night and day to support new cards for this chip.
> 

please see the thread "Re: [PATCH] fix e100 rx path on ARM (was [PATCH] e100 rx: 
or s and el bits)" which is discussing a fix for this issue and currently being 
worked.

eepro100 will *still* be removed once e100 is fixed to support those devices.

Moreover, we now also have a fix for the e100 IPMI issues on some tyan boards 
(patch coming this week!). That hopefully solves all e100 issues that are still 
open.

Auke